Get Item Availability Information by POST

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.lsk.lightspeed.app/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Lightspeed Restaurant K-Series MCP server": {
  "url": "https://api-docs.lsk.lightspeed.app/mcp"
}
Close
POST /o/op/1/itemAvailability

Returns item availability information filtered by business location and SKUs. The list of SKUs must be provided in the request body.

Query parameters

  • businessLocationId integer(int64) Required

    The unique identifier for the business location.

  • page integer(int32)

    Starting page of results, when paginating. Starts at 0.

    Minimum value is 0. Default value is 0.

  • size integer(int32)

    Number of results to return, when paginating.

    Minimum value is 1, maximum value is 100. Default value is 25.

application/json

Body Required

  • skus array[string] Required

    List of SKUs to return.

    At least 1 but not more than 50 elements.

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • data array[object]
      Hide data attributes Show data attributes object
      • sku string

        The SKU assigned to the item.

      • count integer(int64)

        The count of available items.

      • updatedAt string(date-time)

        The last update of the item count.

    • metadata object
      Hide metadata attributes Show metadata attributes object
      • warnings array[object]

        A list of warnings that occurred during the request, but which did not prevent a successful response. For instance, if the Business Location does not have the required POS app version to support item availability.

        Hide warnings attributes Show warnings attributes object
        • information string
        • type string
      • current object
        Hide current attributes Show current attributes object
        • page integer(int32)

          Current page number.

        • pageSize integer(int32)

          Number of items per page.

      • total integer(int32)

        Total number of items requested.

      • totalPages integer(int32)

        Total number of pages of items.

  • 400 application/json

    Bad Request

    Hide response attributes Show response attributes object
    • timestamp string(date-time)

      The date and time at which the error occurred.

    • status integer

      The HTTP status code associated with the error.

    • error string

      A short description of the HTTP status code meaning.

    • message string

      A human-readable message providing more details about the error.

    • path string

      The request path where the error occurred.

POST /o/op/1/itemAvailability
curl \
 --request POST 'https://api.trial.lsk.lightspeed.app/o/op/1/itemAvailability?businessLocationId=45454565682155' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"skus":["SKU1"]}'
Request examples
{
  "skus": [
    "SKU1"
  ]
}
Response examples (200)
{
  "data": [
    {
      "sku": "SKU1",
      "count": 50,
      "updatedAt": "2025-07-08T14:20:00Z"
    }
  ],
  "metadata": {
    "warnings": [
      {
        "information": "string",
        "type": "string"
      }
    ],
    "current": {
      "page": 0,
      "pageSize": 50
    },
    "total": 1,
    "totalPages": 10
  }
}
Response examples (400)
{
  "timestamp": "2023-11-07T22:18:49.101Z",
  "status": 400,
  "error": "Bad Request",
  "message": "Required request parameter 'businessLocationId' for method parameter type Long is not present",
  "path": "/o/op/1/itemAvailability"
}